#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	string s;
    getline(cin, s);
    vector <int> v;
    int k = 0;
    v.push_back(0);
    for(int i = 1; i < s.size(); i++){
        if(s[i] < s[i-1]){
            k++;
        }
        v.push_back(k);
    }

    int t = 0;
    cin >> t;
    for(int i = 0; i<t; i++){
        int l, r;
        cin >> l >> r;
        r--;
        l--;
        cout << v[r] - v[l] + 1 << "\n";
    }
}
